#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K27	"@(#)EM_K27.c	3.1";
	/****************************************************************/
	/*
	 *      K_set_segment_status
	 */


/*
 *      K_set_segment_status (
 *          1   segSeid,  : seid           :  long   (* segment SEID *)
 *          2  &status,   : seg_stat_block :  struct (* new status   *)
 *          3   choice    : selector       :  int    (* which fields *)
 *              )
 */

K_set_segment_status( PsegSeid, PstatusP, Pchoice )
	seid            PsegSeid;
	seg_stat_block  *PstatusP;
	selector        Pchoice;
{
	struct  {       /* Ksetss_param */
			seid            s_seid; /* const */
			seg_stat_block  status; /* const */
			selector        choice; /* const */
		}pb;

	pb.s_seid = PsegSeid;
	st_copy(PstatusP, &pb.status, sizeof(seg_stat_block) );
	pb.choice = Pchoice;

	return( EMT27(&pb) );
}



